# Rbrainfuck
[![Build Status](https://travis-ci.org/maxmouchet/rbrainfuck.png?branch=master)](https://travis-ci.org/maxmouchet/rbrainfuck)
[![Code Climate](https://codeclimate.com/github/maxmouchet/rbrainfuck.png)](https://codeclimate.com/github/maxmouchet/rbrainfuck)

A Brainfuck interpreter. Use it as a command-line app, or embed it in you Ruby program.

## Installation

Add this line to your application's Gemfile:

    gem 'rbrainfuck'

Or install it yourself as:

    $ gem install rbrainfuck

## Usage

### CLI

    $ rbrainfuck file.b

### API

```ruby
require 'rbrainfuck'

# Create an interpreter with 30000 cells.
bf = Rbrainfuck::Interpreter.new(30000)

# Load some code.
bf.load('++++++++++[>+++++++>++++++++++>+++>+<<<<-]>++.>+.+++++++..+++.>++.<<+++++++++++++++.>.+++.------.--------.>+.>.')

# Run it.
bf.run
```


## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
