# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rbrainfuck/version'

Gem::Specification.new do |spec|
  spec.name          = 'rbrainfuck'
  spec.version       = Rbrainfuck::VERSION
  spec.version       = "#{spec.version}-alpha-#{ENV['TRAVIS_BUILD_NUMBER']}" if ENV['TRAVIS']
  spec.authors       = ['Maxime Mouchet']
  spec.email         = ['mouchet.max@gmail.com']
  spec.description   = %q{A Brainfuck interpreter.}
  spec.summary       = %q{A Brainfuck interpreter.}
  spec.homepage      = 'https://github.com/maxmouchet/rbrainfuck'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
end
