require 'spec_helper'
require 'rbrainfuck/interpreter'

describe '.allowed_chars' do
  it 'return a non-empty array' do
    expect(Rbrainfuck::Interpreter.allowed_chars.count).to be > 0
  end
end

describe '#run' do
  it 'print Hello World' do
    bf = Rbrainfuck::Interpreter.new(30000)
    bf.load('++++++++++[>+++++++>++++++++++>+++>+<<<<-]>++.>+.+++++++..+++.>++.<<+++++++++++++++.>.+++.------.--------.>+.>.')

    result = capture_stdout do
      bf.run
    end

    result.should eq("Hello World!\n")
  end
end
